Bug 242616 - [NEW PORT] www/py-flask-babelex: Adds i18n/l10n support to Flask applications
Summary: [NEW PORT] www/py-flask-babelex: Adds i18n/l10n support to Flask applications
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature
Depends on:
Blocks: 242617
  Show dependency treegraph
 
Reported: 2019-12-13 01:18 UTC by Goran Mekić
Modified: 2020-01-11 12:32 UTC (History)
1 user (show)

See Also:


Attachments
py-flask-babelex.shar (2.16 KB, text/plain)
2019-12-13 01:18 UTC, Goran Mekić
no flags Details
py-flask-babelex.diff (3.84 KB, patch)
2019-12-18 13:10 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-13 01:18:12 UTC
Created attachment 209905 [details]
py-flask-babelex.shar
Comment 1 Goran Mekić 2019-12-18 13:10:49 UTC
Created attachment 210032 [details]
py-flask-babelex.diff
Comment 2 Goran Mekić 2019-12-18 13:13:37 UTC
  * Fix test of locales (not only FreeBSD issue: https://github.com/mrjoes/flask-babelex/issues/17 - I will send PR upstream)

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (17 passed, 2 warnings tests PASS)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 11:23:18 UTC
Review items (already fixed locally):

 - COMMENT should match setup.py:description (modulo portlint compliance)
 - setup.py:*_requires declares version requirements, match these as closely as possible, given our *_DEPENDS syntax:

    install_requires=[
        'Flask',
        'Babel>=1.0',
        'speaklater>=1.2',
        'Jinja2>=2.5'
    ],

 - Port Makefile calls pytest but doesn't TEST_DEPEND on pytest
 - Doesn't appear project requires pytest (calls `python tests.py` [1])
 - Add comments to patches wherever possible, ideally including upstream issue/PR/commit urls where applicable

[1] Makefile: @cd tests; python tests.py
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 12:29:45 UTC
Also:

 - lowercase(PORTNAME), adjusting DISTNAME accordingly to correctly fetch
Comment 5 commit-hook freebsd_committer 2020-01-11 12:30:52 UTC
A commit references this bug:

Author: koobs
Date: Sat Jan 11 12:30:18 UTC 2020
New revision: 522682
URL: https://svnweb.freebsd.org/changeset/ports/522682

Log:
  [NEW] www/py-flask-babelex: Support i18n/l10n in Flask applications

  This is fork of official Flask-Babel extension with following features:

    - Possible to use multiple language catalogs in one Flask application;
    - Localization domains: your extension can package localization file(s)
      and use them if necessary;
    - Does not reload localizations for each request.

  WWW: https://github.com/mrjoes/flask-babelex

  PR:		242616
  Submitted by:	Goran Meki? <mek tilda center>

Changes:
  head/www/Makefile
  head/www/py-flask-babelex/
  head/www/py-flask-babelex/Makefile
  head/www/py-flask-babelex/distinfo
  head/www/py-flask-babelex/files/
  head/www/py-flask-babelex/files/patch-tests_tests.py
  head/www/py-flask-babelex/pkg-descr
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 12:32:16 UTC
Committed with changes, thank you Goran!

Since lowercase'ing PORTNAME here, bug 242617 needs updating (lowercasing respective *_DEPENDS)